[pkg-java] r14853 - trunk/asm3/debian
Torsten Werner
twerner at alioth.debian.org
Mon Sep 12 11:50:57 UTC 2011
Author: twerner
Date: 2011-09-12 11:50:57 +0000 (Mon, 12 Sep 2011)
New Revision: 14853
Added:
trunk/asm3/debian/orig-tar.sh
Modified:
trunk/asm3/debian/changelog
trunk/asm3/debian/watch
Log:
* New upstream release.
* Change debian/watch to point to upstream's SVN repository. Add
debian/orig-tar.sh.
* Remove all prebuilt jar files from orig tarball.
Modified: trunk/asm3/debian/changelog
===================================================================
--- trunk/asm3/debian/changelog 2011-09-12 11:31:15 UTC (rev 14852)
+++ trunk/asm3/debian/changelog 2011-09-12 11:50:57 UTC (rev 14853)
@@ -1,7 +1,11 @@
-asm3 (3.3.1-2) unstable; urgency=low
+asm3 (3.3.2-1) unstable; urgency=low
UNRELEASED
* Team upload.
+ * New upstream release.
+ * Change debian/watch to point to upstream's SVN repository. Add
+ debian/orig-tar.sh.
+ * Remove all prebuilt jar files from orig tarball.
* Update POM files to version 3.3.1 and add missing files.
* Install asm-debug-all.jar.
* Do no longer install symlinks from asm3-all.jar to the individual jars.
Added: trunk/asm3/debian/orig-tar.sh
===================================================================
--- trunk/asm3/debian/orig-tar.sh (rev 0)
+++ trunk/asm3/debian/orig-tar.sh 2011-09-12 11:50:57 UTC (rev 14853)
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -eu
+
+VERSION=$2
+TAR=../asm3_$VERSION.orig.tar.gz
+DIR=asm-$VERSION
+TAG=$(echo "ASM_$VERSION" | sed -re's,\.,_,g')
+
+svn export svn://svn.forge.objectweb.org/svnroot/asm/tags/${TAG}/ $DIR
+tar -c -z -f $TAR --exclude '*.jar' $DIR
+rm -rf $DIR ../listing.php
+
+# move to directory 'tarballs'
+if [ -r .svn/deb-layout ]; then
+ . .svn/deb-layout
+ mv $TAR $origDir && echo "moved $TAR to $origDir"
+fi
+
Modified: trunk/asm3/debian/watch
===================================================================
--- trunk/asm3/debian/watch 2011-09-12 11:31:15 UTC (rev 14852)
+++ trunk/asm3/debian/watch 2011-09-12 11:50:57 UTC (rev 14853)
@@ -1,3 +1,6 @@
version=3
-http://download.forge.objectweb.org/asm/asm-(3.*).tar.gz
+opts=uversionmangle=s/_/./g \
+ http://websvn.ow2.org/listing.php?repname=asm&path=%2Ftags%2F .*%2Ftags%2FASM_([\d_]*)%2F \
+ debian debian/orig-tar.sh
+
More information about the pkg-java-commits
mailing list